package mx.transport.recharge.model.transaction;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class RechargeTransaction implements Serializable {

    @SerializedName("imei")
    private String imei;
    @SerializedName("userId")
    private String userId;
    @SerializedName("pointOfSaleId")
    private String pointOfSale;
    @SerializedName("idCompany")
    private String idCompany;
    @SerializedName("idCard")
    private String idCard;
    @SerializedName("netCharge")
    private String netCharge;
    @SerializedName("currency")
    private String currency;
    @SerializedName("type")
    private String type;
    @SerializedName("dateTimeRecharge")
    private String dateTimeRecharge;

    public RechargeTransaction(String imei, String userId, String pointOfSale, String idCompany, String idCard, String netCharge, String currency, String type, String dateTimeRecharge) {
        this.imei = imei;
        this.userId = userId;
        this.pointOfSale = pointOfSale;
        this.idCompany = idCompany;
        this.idCard = idCard;
        this.netCharge = netCharge;
        this.currency = currency;
        this.type = type;
        this.dateTimeRecharge = dateTimeRecharge;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPointOfSale() {
        return pointOfSale;
    }

    public void setPointOfSale(String pointOfSale) {
        this.pointOfSale = pointOfSale;
    }

    public String getIdCompany() {
        return idCompany;
    }

    public void setIdCompany(String idCompany) {
        this.idCompany = idCompany;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getNetCharge() {
        return netCharge;
    }

    public void setNetCharge(String netCharge) {
        this.netCharge = netCharge;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getDateTimeRecharge() {
        return dateTimeRecharge;
    }

    public void setDateTimeRecharge(String dateTimeRecharge) {
        this.dateTimeRecharge = dateTimeRecharge;
    }
}
