package mx.transport.recharge.activities;

import android.os.Bundle;


import mx.transport.recharge.base.ActivityBase;
import mx.transport.recharge.util.constants.RechargeConstants;

import static mx.transport.recharge.util.constants.RechargeConstants.ACTIVITY_AUTH;
import static mx.transport.recharge.util.constants.RechargeConstants.ACTIVITY_MAIN;

public class SplashActivity extends ActivityBase {

    private static final String TAG = SplashActivity.class.getName();

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        boolean session =    preferences.getBooleanData(RechargeConstants.PF_SESSION);
        onNavigate(session ? ACTIVITY_MAIN : ACTIVITY_AUTH , null);
    }

    @Override
    protected void onResume() {
        super.onResume();
    }


}
