package mx.transport.recharge.di.module;

import javax.inject.Named;
import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import mx.transport.recharge.controller.MainController;
import mx.transport.recharge.service.ApiService;
import mx.transport.recharge.service.retrofit.ClientApi;

@Module
public class ControllerModule {

    @Provides
    @Singleton
    @Named("main")
    MainController provideClientController(){
        return new MainController(ClientApi.getClient().create(ApiService.class));
    }

}
