package mx.transport.recharge.model;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

import io.realm.RealmObject;

public class CardTypes extends RealmObject implements Serializable {

    @SerializedName("cve_tip")
    private String cve;
    @SerializedName("des_tip")
    private String des;

    public String getCve() {
        return cve;
    }

    public void setCve(String cve) {
        this.cve = cve;
    }

    public String getDes() {
        return des;
    }

    public void setDes(String des) {
        this.des = des;
    }

    @Override
    public boolean equals(Object obj) {
        if(obj instanceof CardTypes){
            CardTypes c = (CardTypes )obj;
            return c.getCve().equals(cve) && c.getDes() == des;
        }

        return false;
    }

    @Override
    public String toString() {
        return des;
    }

}
