package mx.transport.recharge.service;

import io.reactivex.Observable;
import mx.transport.recharge.model.CardBuy;
import mx.transport.recharge.model.Configuration;
import mx.transport.recharge.model.transaction.BuyTransaction;
import mx.transport.recharge.model.transaction.RechargeTransaction;
import mx.transport.recharge.util.constants.RechargeConstants;
import mx.transport.recharge.model.response.BaseResponse;
import mx.transport.recharge.model.Login;
import retrofit2.http.Body;
import retrofit2.http.POST;

public interface ApiService {

    @POST(RechargeConstants.API_LOGIN)
    Observable<BaseResponse> requestLogin(@Body Login login);

    @POST(RechargeConstants.API_CONFIGURATION)
    Observable<BaseResponse> requestConfiguration(@Body Configuration configuration);

    @POST(RechargeConstants.API_BUY_CARD)
    Observable<BaseResponse> requestBuyCard(@Body CardBuy cardBuy);// BuyTransaction transaction

    @POST(RechargeConstants.API_RECHARGE_CARD)
    Observable<BaseResponse> requestRecharge(@Body RechargeTransaction transaction);

}
