package mx.transport.recharge.ui.consulting;

import android.nfc.Tag;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.EditText;



import butterknife.BindView;
import butterknife.ButterKnife;
import butterknife.OnClick;
import mx.transport.recharge.R;
import mx.transport.recharge.activities.MainActivity;
import mx.transport.recharge.base.FragmentBase;
import mx.transport.recharge.model.CardTypes;
import mx.transport.recharge.model.Companies;


public class ConsultingFragment extends FragmentBase {

    private static final String TAG = ConsultingFragment.class.getName();

    @BindView(R.id.layout_animation)
    View animationLayout;
    @BindView(R.id.layout_consulting)
    View consultingLayout;

    @BindView(R.id.ed_uid)
    EditText uidEd;
    @BindView(R.id.ed_company)
    EditText companyEd;
    @BindView(R.id.ed_card_type)
    EditText cardTypeEd;
    @BindView(R.id.ed_balance)
    EditText balanceEd;
    @BindView(R.id.ed_date_purchase)
    EditText datePurchaseEd;
    @BindView(R.id.ed_validity)
    EditText validityEd;
    @BindView(R.id.button_renew)
    Button renewBtn;

    public static ConsultingFragment newInstance() {
        return new ConsultingFragment();
    }

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
    }

    @Override
    public View onCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState) {
        rootView = inflater.inflate(R.layout.fragment_consulting, container, false);
        unbinder = ButterKnife.bind(this, rootView);
        return rootView;
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);
        /*boolean isEnabled = ((MainActivity) activity).mAdapter.isEnabled();
        if (isEnabled) {
            ((MainActivity) activity).onSetupForegroundDispatch();
        }*/
    }

    @OnClick(R.id.button_renew)
    public void onClick() {
        uidEd.setText("");
        companyEd.setText("");
        cardTypeEd.setText("");
        balanceEd.setText("");
        datePurchaseEd.setText("");
        validityEd.setText("");
        consultingLayout.setVisibility(View.GONE);
        animationLayout.setVisibility(View.VISIBLE);
    }

    @Override
    public void onResume() {
        super.onResume();
       // ((MainActivity) activity).onEnableForegroundDispatch();
    }

    @Override
    public void onPause() {
        super.onPause();
      //  ((MainActivity) activity).onDisableForegroundDispatch();
    }

    /*@Override
    public void onCardRead(Tag tag) {
        activity.showProgress();
       new InformationCardTask(activity, tag, this).execute();
    }

    @Override
    public void onCardReadComplete(CardInformation information) {
        activity.hiddenProgress();
        try {
            CardTypes cardTypes = realmConfiguration.getCardType(information.getCardTypeId());
            Companies companies = realmConfiguration.getCompanies(information.getCompanyId());

            datePurchaseEd.setText(information.getDate());
            //information.getTypeId()
            cardTypeEd.setText(cardTypes.getDes());
            companyEd.setText(companies.getDes());
            uidEd.setText(information.getCardId());
            balanceEd.setText("$" + information.getBalance());
            validityEd.setText(information.getValidity());
            consultingLayout.setVisibility(View.VISIBLE);
            animationLayout.setVisibility(View.GONE);

        } catch (Exception e){
            e.printStackTrace();
        }
    }

    @Override
    public void onCardReadInvalidCard() {
        activity.hiddenProgress();
        activity.showMessageDialog(getString(R.string.lbl_message_card_not_fount));
    }

    @Override
    public void onCardReadNotFound() {
        activity.hiddenProgress();
        activity.showMessage(getString(R.string.lbl_message_card_not_fount));
    }

    @Override
    public void onCardReadException(Throwable throwable) {
        activity.hiddenProgress();
        throwable.printStackTrace();
    }*/

    @Override
    public void onDestroy() {
        super.onDestroy();
        if (unbinder != null) {
            unbinder.unbind();
        }
    }

}
