package mx.transport.recharge.di.module;

import android.content.Context;
import javax.inject.Singleton;

import dagger.Module;
import dagger.Provides;
import mx.transport.recharge.preference.RechargePreference;

@Module
public class PreferenceModule {

    private Context context;

    public PreferenceModule(Context context) {
        this.context = context;
    }

    @Provides
    @Singleton
    protected RechargePreference provideSharedPreferences() {
        return new RechargePreference(context);
    }

}