package mx.transport.recharge.model;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

public class CardBuy implements Serializable {

    @SerializedName("imei")
    private String imei;
    @SerializedName("userId")
    private String userId;
    @SerializedName("pointOfSaleId")
    private String pointOfSale;
    @SerializedName("idCompany")
    private String idCompany;
    @SerializedName("idCard")
    private String idCard;
    @SerializedName("cardPrice")
    private String cardPrice;
    @SerializedName("netCharge")
    private String netCharge;
    @SerializedName("currency")
    private String currency;
    @SerializedName("customize")
    private Boolean customize;
    @SerializedName("type")
    private int type;
    @SerializedName("dateTimeRecharge")
    private String dateTimeRecharge;
    @SerializedName("customerDetail")
    private UserBuy userBuy;

    public CardBuy(String imei, String userId, String pointOfSale, String idCompany, String idCard, String cardPrice, String netCharge, String currency, boolean customize, int type, String dateTimeRecharge, UserBuy userBuy) {
        this.imei = imei;
        this.userId = userId;
        this.pointOfSale = pointOfSale;
        this.idCompany = idCompany;
        this.idCard = idCard;
        this.cardPrice = cardPrice;
        this.netCharge = netCharge;
        this.currency = currency;
        this.customize = customize;
        this.type = type;
        this.dateTimeRecharge = dateTimeRecharge;
        this.userBuy = userBuy;
    }

    public CardBuy(String imei, String userId, String pointOfSale, String idCompany, String idCard, String cardPrice, String netCharge, String currency, boolean customize, int type, String dateTimeRecharge) {
        this.imei = imei;
        this.userId = userId;
        this.pointOfSale = pointOfSale;
        this.idCompany = idCompany;
        this.idCard = idCard;
        this.cardPrice = cardPrice;
        this.netCharge = netCharge;
        this.currency = currency;
        this.customize = customize;
        this.type = type;
        this.dateTimeRecharge = dateTimeRecharge;
    }

    public String getImei() {
        return imei;
    }

    public void setImei(String imei) {
        this.imei = imei;
    }

    public String getUserId() {
        return userId;
    }

    public void setUserId(String userId) {
        this.userId = userId;
    }

    public String getPointOfSale() {
        return pointOfSale;
    }

    public void setPointOfSale(String pointOfSale) {
        this.pointOfSale = pointOfSale;
    }

    public String getIdCompany() {
        return idCompany;
    }

    public void setIdCompany(String idCompany) {
        this.idCompany = idCompany;
    }

    public String getIdCard() {
        return idCard;
    }

    public void setIdCard(String idCard) {
        this.idCard = idCard;
    }

    public String getCardPrice() {
        return cardPrice;
    }

    public void setCardPrice(String cardPrice) {
        this.cardPrice = cardPrice;
    }

    public String getNetCharge() {
        return netCharge;
    }

    public void setNetCharge(String netCharge) {
        this.netCharge = netCharge;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public Boolean getCustomize() {
        return customize;
    }

    public void setCustomize(Boolean customize) {
        this.customize = customize;
    }

    public int getType() {
        return type;
    }

    public void setType(int type) {
        this.type = type;
    }

    public String getDateTimeRecharge() {
        return dateTimeRecharge;
    }

    public void setDateTimeRecharge(String dateTimeRecharge) {
        this.dateTimeRecharge = dateTimeRecharge;
    }

    public UserBuy getUserBuy() {
        return userBuy;
    }

    public void setUserBuy(UserBuy userBuy) {
        this.userBuy = userBuy;
    }

    @Override
    public String toString() {
        return "CardBuy{" + "imei='" + imei + '\'' + ", userId='" + userId + '\'' + ", pointOfSale='" + pointOfSale + '\'' + ", idCompany='" + idCompany + '\'' + ", idCard='" + idCard + '\'' + ", cardPrice='" + cardPrice + '\'' + ", netCharge='" + netCharge + '\'' + ", currency='" + currency + '\'' + ", customize=" + customize + ", type=" + type + ", dateTimeRecharge='" + dateTimeRecharge +  '}';
    }

}
