package mx.transport.recharge.model.transaction;

import com.google.gson.annotations.SerializedName;

import java.io.Serializable;

import mx.transport.recharge.model.CardBuy;
import mx.transport.recharge.model.UserBuy;

public class BuyTransaction implements Serializable {

    private CardBuy card;
    @SerializedName("customerDetail")
    private UserBuy user;

    public BuyTransaction(CardBuy card){
        this.card = card;
    }

    public BuyTransaction(CardBuy card, UserBuy user) {
        this.card = card;
        this.user = user;
    }

    public CardBuy getCard() {
        return card;
    }

    public void setCard(CardBuy card) {
        this.card = card;
    }

    public UserBuy getUser() {
        return user;
    }

    public void setUser(UserBuy user) {
        this.user = user;
    }

}
