package mx.cardnfc.model;

import java.io.Serializable;

public class CardInformation implements Serializable {

    private String owner;
    private String cardId;
    private String pointSaleId;
    private String companyId;
    private String cardTypeId;
    private String typeId;
    private String currency;
    private String balance;
    private String date;
    private String validity;

    public CardInformation(String owner, String cardId, String pointSaleId, String companyId, String cardTypeId, String typeId, String currency, String balance, String date, String validity) {
        this.owner = owner;
        this.cardId = cardId;
        this.pointSaleId = pointSaleId;
        this.companyId = companyId;
        this.cardTypeId = cardTypeId;
        this.typeId = typeId;
        this.currency = currency;
        this.balance = balance;
        this.date = date;
        this.validity = validity;
    }

    public String getOwner() {
        return owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public String getPointSaleId() {
        return pointSaleId;
    }

    public void setPointSaleId(String pointSaleId) {
        this.pointSaleId = pointSaleId;
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId;
    }

    public String getCardTypeId() {
        return cardTypeId;
    }

    public void setCardTypeId(String cardTypeId) {
        this.cardTypeId = cardTypeId;
    }

    public String getTypeId() {
        return typeId;
    }

    public void setTypeId(String typeId) {
        this.typeId = typeId;
    }

    public String getCurrency() {
        return currency;
    }

    public void setCurrency(String currency) {
        this.currency = currency;
    }

    public String getBalance() {
        return balance;
    }

    public void setBalance(String balance) {
        this.balance = balance;
    }

    public String getDate() {
        return date;
    }

    public void setDate(String date) {
        this.date = date;
    }

    public String getValidity() {
        return validity;
    }

    public void setValidity(String validity) {
        this.validity = validity;
    }

    @Override
    public String toString() {
        return "CardInformation{" +
                "owner='" + owner + '\'' +
                ", cardId='" + cardId + '\'' +
                ", pointSaleId='" + pointSaleId + '\'' +
                ", companyId='" + companyId + '\'' +
                ", cardTypeId='" + cardTypeId + '\'' +
                ", typeId='" + typeId + '\'' +
                ", currency='" + currency + '\'' +
                ", balance='" + balance + '\'' +
                ", date='" + date + '\'' +
                ", validity='" + validity + '\'' +
                '}';
    }
}
