package mx.cardnfc.model;

import java.io.Serializable;

public class CardProperties implements Serializable {


    private String cardId = "";
    private byte[] id;
    private String cardType = "";
    private int sectorNumber = 0;
    private int blockNumber = 0;
    private int size = 0;
    private String sizeType = "";

    public CardProperties(String cardId, byte[] id, String cardType, int sectorNumber, int blockNumber, int size, String sizeType) {
        this.cardId = cardId;
        this.id = id;
        this.cardType = cardType;
        this.sectorNumber = sectorNumber;
        this.blockNumber = blockNumber;
        this.size = size;
        this.sizeType = sizeType;
    }

    public CardProperties() {

    }

    public String getCardType() {
        return cardType;
    }

    private void setCardType(String cardType) {
            this.cardType = cardType;
    }

    public String getCardId() {
        return cardId;
    }

    public void setCardId(String cardId) {
        this.cardId = cardId;
    }

    public byte[] getId() {
        return id;
    }

    private void setId(byte[] id) {
        this.id = id;
    }

    public int getSectorNumber() {
        return sectorNumber;
    }

    private void setSectorNumber(int sectorNumber) {
        this.sectorNumber = sectorNumber;
    }

    public int getBlockNumber() {
        return blockNumber;
    }

    private void setBlockNumber(int blockNumber) {
        this.blockNumber = blockNumber;
    }

    public int getSize() {
        return size;
    }

    private void setSize(int size) {
        this.size = size;
    }

    public String getSizeType() {
        return sizeType;
    }

    public void setSizeType(String sizeType) {
        this.sizeType = sizeType;
    }

    @Override
    public String toString() {
        return "CardProperties Information {" + "cardId='" + cardId + '\'' + ", cardType='" + cardType + '\'' + ", sectorNumber=" + sectorNumber + ", blockNumber=" + blockNumber + ", size=" + size +  ", sizeType=" + sizeType + '}';
    }
}
